Package Halberd :: Module ScanTask :: Class ScanTask

[show private | hide private]
[frames | no frames]

## Class ScanTask

Describes the way a scan should be performed.

Method Summary
| `__init__(self)`
| ``readConf`(self)` Read configuration file.

Instance Variable Summary
`str` | `addr`: Address of the target web server.
`list` | `analyzed`: Sequence of clues after the analysis phase.
`str` | `certfile`: Certificate to be used for SSL connections.
`list` | `clues`: Sequence of clues obtained from the target.
`bool` | `debug`: Display debug information.
`str` | `keyfile`: Key file for SSL connections.
`str` | `out`: File where to write reports.
`tuple` | `proxy_serv_addr`: Address + port where to listen when operating as a proxy.
`str` | `save`: File or directory name where the results will be written.
`str` | `url`: URL to scan.
`str` | `urlfile`: Root folder to use for storing results of MultiScans.
`bool` | `verbose`: Display status information during the scan.

Method Details

### readConf(self)

Read configuration file.

This method tries to read the specified configuration file. If we try to read it at the default path and it's not there we create a bare-bones file and use that one.

  Raises:
    `ConfError` - If there's some problem creating or reading the configuration file.

Instance Variable Details

### addr

Address of the target web server.

  Type:
    `str`

### analyzed

Sequence of clues after the analysis phase.

  Type:
    `list`

### certfile

Certificate to be used for SSL connections.

  Type:
    `str`

### clues

Sequence of clues obtained from the target.

  Type:
    `list`

### debug

Display debug information.

  Type:
    `bool`

### keyfile

Key file for SSL connections.

  Type:
    `str`

### out

File where to write reports. If it's not set, stdout will be used.

  Type:
    `str`

### proxy_serv_addr

Address + port where to listen when operating as a proxy.

  Type:
    `tuple`

### save

File or directory name where the results will be written.

  Type:
    `str`

### url

URL to scan.

  Type:
    `str`

### urlfile

Root folder to use for storing results of MultiScans.

  Type:
    `str`

### verbose

Display status information during the scan.

  Type:
    `bool`

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net